#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2007-2010 Christian Dannie Storgaard
#
import widget, wine

class Widget(widget.VineyardWidgetEntry):
    def __init__(self):
        widget.VineyardWidgetEntry.__init__(self,
            title = '%s:' % _('Name'),
            settings_key = 'configuration-name',
            get_function = wine.prefixes.get_current_name,
            set_function = wine.prefixes.set_current_name,
            hidden_on_load = True)
    
    def fill_widgets(self):
        if self.settings[self.settings_key] == None:
            self.hide()
        else:
            self.entry.set_text(self.settings[self.settings_key])
            self.show()
        self.gobject.emit('settings-loaded', self.settings_key, (self.settings[self.settings_key],))
